ADDQEXPR(3)

NAME
addQExpr - adds a new argument at the queue of an operator expression.

SYNOPSYS
#include "logmmm.h"
void addQExpr(expr1,expr2)
chain_list *expr1,*expr2;

PARAMETERS

expr1
    expression that recieves expr2.

expr2
    Argument to add.

DESCRIPTION
addQExpr() adds expr2 at the queue of the expression expr1. This procedure doesn't make simplifications.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr1,*expr2;
expr1 = createExpr(OR);
addQExpr(expr1,createAtom("var1"));
expr2 = createExpr(OR);
addQExpr(expr2,createAtom("var1"));
addQExpr(expr2,createAtom("var2"));
addQExpr(expr1,expr2);
displayExpr(expr1);
/* it will display
(OR var1 (OR var1 var2))
*/
freeExpr(expr1);	/* don't free expr2 ! */

ERROR
"addQExpr : error - bad argument
expr1 must be an operator expression.

SEE ALSO
log(1), abl(1), createAtom(3), notExpr(3), addQExpr(3), createBinExpr(3), createExpr(3), addQExpr(3), freeExpr(3).